<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class AffectationController extends AbstractController
{
    #[Route('/affectation', name: 'app_affectation')]
    public function index(): Response
    {


        return $this->render('affectation/index.html.twig', [
            'controller_name' => 'AffectationController',
        ]);
    }

    public function add(Request $request)
    {
        $validated = $request->validate([
            'name' => 'required|string|max:255',
            'description' => 'nullable|string',
        ]);

        $affectation = Affectation::create($validated);

        return response()->json([
            'message' => 'Affectation réussie',
            'data' => $affectation
        ], 201);
    }

    public function list()
    {
        $affectations = Affectation::all();

        return response()->json([
            'data' => $affectations
        ], 200);
    }

    public function delete($id)
    {
        $affectation = Affectation::find($id);

        if (!$affectation) {
            return response()->json(['message' => ''], 404);
        }

        $affectation->delete();

        return response()->json(['message' => ''], 200);
    }

}
