<?php

namespace App\Entity;

use App\Repository\IncidentRepository;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: IncidentRepository::class)]
class Incident
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $description = null;

    #[ORM\OneToMany(targetEntity: Employee::class, mappedBy: 'incident')]
    private ?Employee $employee;

    #[ORM\OneToMany(targetEntity: IncidentType::class, mappedBy: 'incident')]
    private ?IncidentType $incidentType;

    #[ORM\ManyToOne(targetEntity: Ride::class, inversedBy: 'incidents')]
    private ?Ride $ride;

    public function getEmployeeincidents(): Collection
    {
        return $this->employeeincidents;
    }

    public function setEmployeeincidents(Collection $employeeincidents): void
    {
        $this->employeeincidents = $employeeincidents;
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function setId(int $id): static
    {
        $this->id = $id;

        return $this;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setLabel(string $description): static
    {
        $this->description = $description;

        return $this;
    }

    public function getEmployee(): ?Employee
    {
        return $this->employee;
    }

    public function setEmployee(?Employee $employee): void
    {
        $this->employee = $employee;
    }

    public function getIncidentType(): ?IncidentType
    {
        return $this->incidentType;
    }

    public function setIncidentType(?IncidentType $incidentType): void
    {
        $this->incidentType = $incidentType;
    }

    public function getRide(): ?Ride
    {
        return $this->ride;
    }

    public function setRide(?Ride $ride): void
    {
        $this->ride = $ride;
    }



}

