<?php

namespace App\Form;

use App\Entity\Incident;
use App\Entity\IncidentType;
use App\Entity\Mission;
use App\Entity\Ride;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class RideType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('label')
            ->add('count')
            ->add('incidents', EntityType::class, [
                'class' => Incident::class,
                'choice_label' => 'id',
            ])
            ->add('missions', EntityType::class, [
                'class' => Mission::class,
                'choice_label' => 'id',
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Ride::class,
        ]);
    }
}
